> ## Documentation Index
> Fetch the complete documentation index at: https://docs.azalt.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Genel formu getir

> Kimlik doğrulaması olmadan dış veri toplamak için form yapılandırmasını döndürür.

**Parametreler**:
- `formSiteId`: Form ve tesis kombinasyonunu temsil eden benzersiz kimlik
- `password`: Form parola korumalıysa opsiyonel parola

**Yanıt şunları içerir**:
- Formun tamamı (başlık, açıklama, talimatlar)
- Tüm öğelerin tipleri, doğrulama kuralları ve seçenekleri
- Öğeler arasındaki koşullu görünürlük mantıkları
- Gönderim ayarları ve gereksinimler

**Kullanım senaryoları**:
- Tedarikçilerden veya paydaşlardan çevresel veri toplamak
- Kimlik doğrulaması gerektirmeyen sürdürülebilirlik anketleri
- Çoklu organizasyondan uyum raporlaması
- Dış tesislerden veri toplamak

**Güvenlik özellikleri**:
- Opsiyonel parola koruması
- İstismar önleme için hız sınırlandırma
- Organizasyon seviyesinde erişim kontrolleri



## OpenAPI

````yaml https://app.azalt.co/api/v1/openapi.tr.json get /forms/public/{formSiteId}
openapi: 3.0.3
info:
  title: Erguvan Genel API
  version: 1.0.0
  description: Erguvan platformuna entegrasyon için REST API referansının Türkçe sürümü.
servers:
  - url: https://app.azalt.co/api/v1
security: []
tags:
  - name: Activity
    x-displayName: Aktiviteler
  - name: ActivityDefinition
    x-displayName: Aktivite Tanımları
  - name: ApiKey
    x-displayName: API Anahtarları
  - name: Dashboard
    x-displayName: Panolar
  - name: DashboardWidget
    x-displayName: Pano Bileşenleri
  - name: Dataset
    x-displayName: Veri Setleri
  - name: DatasetItem
    x-displayName: Veri Seti Öğeleri
  - name: File
    x-displayName: Dosyalar
  - name: Form
    x-displayName: Formlar
  - name: FormElement
    x-displayName: Form Öğeleri
  - name: FormElementSubmission
    x-displayName: Form Öğesi Gönderimleri
  - name: FormSite
    x-displayName: Form-Tesis İlişkilendirmeleri
  - name: FormSubmission
    x-displayName: Form Gönderimleri
  - name: Indicator
    x-displayName: Göstergeler
  - name: Organization
    x-displayName: Organizasyonlar
  - name: Site
    x-displayName: Tesisler
  - name: Target
    x-displayName: Hedefler
  - name: Unit
    x-displayName: Birimler
  - name: User
    x-displayName: Kullanıcılar
paths:
  /forms/public/{formSiteId}:
    get:
      tags:
        - Form
      summary: Genel formu getir
      description: >-
        Kimlik doğrulaması olmadan dış veri toplamak için form yapılandırmasını
        döndürür.


        **Parametreler**:

        - `formSiteId`: Form ve tesis kombinasyonunu temsil eden benzersiz
        kimlik

        - `password`: Form parola korumalıysa opsiyonel parola


        **Yanıt şunları içerir**:

        - Formun tamamı (başlık, açıklama, talimatlar)

        - Tüm öğelerin tipleri, doğrulama kuralları ve seçenekleri

        - Öğeler arasındaki koşullu görünürlük mantıkları

        - Gönderim ayarları ve gereksinimler


        **Kullanım senaryoları**:

        - Tedarikçilerden veya paydaşlardan çevresel veri toplamak

        - Kimlik doğrulaması gerektirmeyen sürdürülebilirlik anketleri

        - Çoklu organizasyondan uyum raporlaması

        - Dış tesislerden veri toplamak


        **Güvenlik özellikleri**:

        - Opsiyonel parola koruması

        - İstismar önleme için hız sınırlandırma

        - Organizasyon seviyesinde erişim kontrolleri
      operationId: getPublicForm
      parameters:
        - in: path
          name: formSiteId
          schema:
            type: string
          required: true
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                  organizationId:
                    type: string
                    nullable: true
                  metadata: {}
                  description:
                    type: string
                    nullable: true
                  settings:
                    nullable: true
                  isPublic:
                    type: boolean
                  year:
                    type: number
                  siteId:
                    type: string
                  elements:
                    type: array
                    items: {}
                  hideFuturePeriods:
                    type: boolean
                required:
                  - id
                  - name
                  - organizationId
                  - description
                  - isPublic
                  - year
                  - siteId
                  - elements
                  - hideFuturePeriods
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.NOT_FOUND'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
components:
  schemas:
    error.BAD_REQUEST:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Invalid input data
        code:
          type: string
          description: The error code
          example: BAD_REQUEST
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Invalid input data error (400)
      description: The error information
      example:
        code: BAD_REQUEST
        message: Invalid input data
        issues: []
    error.NOT_FOUND:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Not found
        code:
          type: string
          description: The error code
          example: NOT_FOUND
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Not found error (404)
      description: The error information
      example:
        code: NOT_FOUND
        message: Not found
        issues: []
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Internal server error
        code:
          type: string
          description: The error code
          example: INTERNAL_SERVER_ERROR
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Internal server error error (500)
      description: The error information
      example:
        code: INTERNAL_SERVER_ERROR
        message: Internal server error
        issues: []

````